Subject: RE: [nemo] Consensus call on making ID draft-wakikawa-nemo-v4tunn el aMIP6/NEMO WGs document

From: "Shinta Sugimoto (TO/NRJ)" <[email-masked]>
Date: Mon, 4 Apr 2005 17:08:37 +0800

I will vote for NO at the moment.

Make I-D draft-wakikawa-nemo-v4tunnel a MIP6/NEMO WG ID:
 	For 		[  ]
 	Against 	[X]

Reasons and some random thoughts:

- I agree v4 traversal is quite important issue and see benefits in both
draft-soliman and draft-wakikawa. However, I agree to some other folks
who address a need for more discussions on target scenarios.
- I have implemented draft-soliman. From implementor's perspective,
I don't see technical difference between the methods to carry IPv4 CoA
stated in the two drafts. I would say both methods have no problem and
easy to implement. Thus, discussions of complexity wrt implementation
does not make sense, IMHO.
- Regarding the elimination of redundant IPv6 header proposed in
draft-wakikawa, I pretty much agree with the proposal. Saving 40 bytes
would greatly help us.
- I personally feel that IPv4 HoA support proposed in draft-soliman is
a strong feature that can benefit mobile users, which may accelerate
deployment of MIPv6. Note that we don't need MIPv4 signaling in such
case, but we just need small modifications to the MIPv6 stack.

Regards,
Shinta

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Thursday, March 31, 2005 4:33 AM
> To: [email-masked]; [email-masked]
> Subject: [nemo] Consensus call on making ID 
> draft-wakikawa-nemo-v4tunnel aMIP6/NEMO WGs document
> 
> 
> 
> One of the major barriers to the deployment of Mobile IPv6 today is
> the fact that most access networks are IPv4 only. A number of hosts
> are already dual-stack capable. While Mobile IPv6 works well in IPv6
> networks, it is essential that IPv6 mobility service continue to work
> even when the mobile host is attached to an IPv4 network. The same
> applies to a NEMO mobile router as well. 
> 
> A number of transition scenarios have been identified in IDs: 
> 1. draft-larsson-v6ops-mip-scenarios-01
> 2. draft-tsirtsis-dsmip-problem-03
> While discussion of these scenarios in the larger scope makes sense,
> there is a need to focus on the most critical scenario that would
> address the MIP6 host and router problem. The problem in a single
> sentence can be stated as: "Mobile IPv6 hosts and routers (NEMO) need
> to be able to reach its (IPv6) home agent and services when roaming in
> and attached to an IPv4 access network."
> It makes sense to focus on just this one scenario and solve the
> problem immediately. 
> 
> The ID: draft-wakikawa-nemo-v4tunnel-01 solves the problem of a MIPv6 
> mobile node or a NEMO mobile router roaming onto a IPv4 only access
> network in a simple manner. 
> It is intended that the standardization of this solution in the IETFs
> MIP6 and/or NEMO working groups proceed. The working group chairs have
> reviewed and discussed this work item. It has also been presented at
> the MIP6 and NEMO WGs at IETF62. 
> 
> The chairs would like to hear your thoughts in order to see if there
> is consensus to make it a WG document and progress it as a standards
> track RFC. Comments should be sent to both the NEMO and MIP6 WGs. 
> 
> If we have consensus, then the document will be pursued as a dual WG
> item and called draft-ietf-mip6-nemo-v4tunnel-xx.txt 
> 
> Make I-D draft-wakikawa-nemo-v4tunnel a MIP6/NEMO WG ID:
> 	For 		[  ]
> 	Against 	[  ]
> 
> 
> - MIP6 and NEMO WG chairs
> 
> 
>

---

From: Ryuji Wakikawa <[email-masked]>
Date: Mon, 4 Apr 2005 19:03:31 +0900

Hi Shinta

> Make I-D draft-wakikawa-nemo-v4tunnel a MIP6/NEMO WG ID:

OK for solution, but do you agree on the scenario?

> who address a need for more discussions on target scenarios.

If we see clear scenario which we have to deal with.
Why we have to start from problem statement...

> does not make sense, IMHO.

Both drafts are small modifications to MIP6.
I don't think draft-hesham is complex.
We believe that NAT traversal and less tunnelings are important.

> draft-wakikawa, I pretty much agree with the proposal. Saving 40 bytes

:-)

> case, but we just need small modifications to the MIPv6 stack.

I still think this IPv4 mobility support in IPv6 should be discussed in 
MIP4 WG.
If people use v6 applications, v4 mobility is not important.

regards,
ryuji